## ros-galactic-pilz-industrial-motion-planner 2.3.4

=== test/CMakeLists.txt ===
find_package(ament_cmake_gtest REQUIRED)
find_package(ament_cmake_gmock REQUIRED)
find_package(ros_testing REQUIRED)
find_package(moveit_resources_prbt_support REQUIRED)
find_package(moveit_resources_prbt_moveit_config REQUIRED)
find_package(Boost REQUIRED thread)

find_package(${PROJECT_NAME}_testutils REQUIRED)

# Add test directory as include directory
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
)

# pilz_industrial_motion_testhelpers
add_library(${PROJECT_NAME}_test_utils
  test_utils.cpp
)
ament_target_dependencies(${PROJECT_NAME}_test_utils ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(${PROJECT_NAME}_test_utils
  joint_limits_common
  trajectory_generation_common
)

# Unit tests
add_subdirectory(unit_tests)

# Integration tests
add_subdirectory(integration_tests)
# Install test data
install(DIRECTORY test_data DESTINATION share/${PROJECT_NAME})

=== test/unit_tests/CMakeLists.txt ===
set(UNIT_TEST_SOURCEFILES
  unittest_pilz_industrial_motion_planner_direct
  unittest_velocity_profile_atrap
  unittest_trajectory_generator
  unittest_trajectory_functions
  unittest_trajectory_blender_transition_window
  unittest_trajectory_generator_common
  unittest_trajectory_generator_circ
  unittest_trajectory_generator_lin
  unittest_trajectory_generator_ptp
  unittest_pilz_industrial_motion_planner
  unittest_joint_limit
  unittest_joint_limits_aggregator
  unittest_joint_limits_container
  unittest_joint_limits_validator
  unittest_cartesian_limits_aggregator
  unittest_planning_context_loaders
  unittest_planning_context
  unittest_get_solver_tip_frame
)

# Direct Command Planner Unit Test
ament_add_gtest(unittest_pilz_industrial_motion_planner_direct
  src/unittest_pilz_industrial_motion_planner_direct.cpp)
target_link_libraries(unittest_pilz_industrial_motion_planner_direct
  ${PROJECT_NAME}
  planning_context_loader_ptp
)

# Asymmetric Trapezoidal Velocity Profile Unit Test
ament_add_gtest(unittest_velocity_profile_atrap
  src/unittest_velocity_profile_atrap.cpp
  ${CMAKE_SOURCE_DIR}/src/velocity_profile_atrap.cpp)
target_link_libraries(unittest_velocity_profile_atrap ${PROJECT_NAME})

# Trajectory Generator Unit Test
ament_add_gtest(unittest_trajectory_generator
  src/unittest_trajectory_generator.cpp
  ${CMAKE_SOURCE_DIR}/src/trajectory_generator.cpp)
target_link_libraries(unittest_trajectory_generator ${PROJECT_NAME})

# Trajectory Functions Unit Test
ament_add_gtest_executable(unittest_trajectory_functions
  src/unittest_trajectory_functions.cpp
)
ament_target_dependencies(unittest_trajectory_functions Boost)
target_link_libraries(unittest_trajectory_functions
  ${PROJECT_NAME}_test_utils
  trajectory_generation_common
  joint_limits_common
)
add_ros_test(launch/unittest_trajectory_functions.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# unittest for trajectory blender transition window
ament_add_gtest_executable(unittest_trajectory_blender_transition_window
  src/unittest_trajectory_blender_transition_window.cpp
  ${CMAKE_SOURCE_DIR}/src/trajectory_blender_transition_window.cpp
)
ament_target_dependencies(unittest_trajectory_blender_transition_window pilz_industrial_motion_planner_testutils)
target_link_libraries(unittest_trajectory_blender_transition_window
  ${PROJECT_NAME}_test_utils
  trajectory_generation_common
  planning_context_loader_lin
)
add_ros_test(launch/unittest_trajectory_blender_transition_window.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# trajectory generator Unit Test
ament_add_gtest_executable(unittest_trajectory_generator_common
  src/unittest_trajectory_generator_common.cpp
)
target_link_libraries(unittest_trajectory_generator_common
  ${PROJECT_NAME}_test_utils
  trajectory_generation_common
  planning_context_loader_lin
  planning_context_loader_ptp
  planning_context_loader_circ
)
add_ros_test(launch/unittest_trajectory_generator_common.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# trajectory generator circ Unit Test
ament_add_gtest_executable(unittest_trajectory_generator_circ
  src/unittest_trajectory_generator_circ.cpp
)
ament_target_dependencies(unittest_trajectory_generator_circ pilz_industrial_motion_planner_testutils)
target_link_libraries(unittest_trajectory_generator_circ
  ${PROJECT_NAME}_test_utils
  planning_context_loader_circ
)
add_ros_test(launch/unittest_trajectory_generator_circ.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# trajectory generator lin Unit Test
ament_add_gtest_executable(unittest_trajectory_generator_lin
  src/unittest_trajectory_generator_lin.cpp
)
ament_target_dependencies(unittest_trajectory_generator_lin pilz_industrial_motion_planner_testutils)
target_link_libraries(unittest_trajectory_generator_lin
  ${PROJECT_NAME}_test_utils
  planning_context_loader_lin
)
add_ros_test(launch/unittest_trajectory_generator_lin.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# trajectory generator ptp Unit Test
ament_add_gtest_executable(unittest_trajectory_generator_ptp
  src/unittest_trajectory_generator_ptp.cpp
)
target_link_libraries(unittest_trajectory_generator_ptp
  ${PROJECT_NAME}_test_utils
  trajectory_generation_common
  planning_context_loader_ptp
)
add_ros_test(launch/unittest_trajectory_generator_ptp.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# Command Planner Unit Test
ament_add_gtest_executable(unittest_pilz_industrial_motion_planner src/unittest_pilz_industrial_motion_planner.cpp)
target_link_libraries(unittest_pilz_industrial_motion_planner ${PROJECT_NAME})
add_ros_test(launch/unittest_pilz_industrial_motion_planner.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# JointLimits Unit Test
ament_add_gtest_executable(unittest_joint_limit src/unittest_joint_limit.cpp)
target_link_libraries(unittest_joint_limit joint_limits_common)
add_ros_test(launch/unittest_joint_limit.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# JointLimitsAggregator Unit Test
ament_add_gtest_executable(unittest_joint_limits_aggregator src/unittest_joint_limits_aggregator.cpp)
target_link_libraries(unittest_joint_limits_aggregator joint_limits_common)
add_ros_test(launch/unittest_joint_limits_aggregator.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# JointLimitsContainer Unit Test
ament_add_gtest(unittest_joint_limits_container
  src/unittest_joint_limits_container.cpp)
target_link_libraries(unittest_joint_limits_container joint_limits_common)

# JointLimitsValidator Unit Test
ament_add_gtest(unittest_joint_limits_validator
  src/unittest_joint_limits_validator.cpp)
target_link_libraries(unittest_joint_limits_validator joint_limits_common)

# Cartesian Limits Aggregator Unit Test
ament_add_gtest_executable(unittest_cartesian_limits_aggregator src/unittest_cartesian_limits_aggregator.cpp)
target_link_libraries(unittest_cartesian_limits_aggregator joint_limits_common)
add_ros_test(launch/unittest_cartesian_limits_aggregator.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# PlanningContextLoaderPTP Unit Test
ament_add_gtest_executable(unittest_planning_context_loaders
  src/unittest_planning_context_loaders.cpp
)
target_link_libraries(unittest_planning_context_loaders
  ${PROJECT_NAME}
  ${PROJECT_NAME}_test_utils
)
add_ros_test(launch/unittest_planning_context_loaders.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# PlanningContext Unit Test (Typed test)
ament_add_gtest_executable(unittest_planning_context
  src/unittest_planning_context.cpp
)
target_link_libraries(unittest_planning_context
  ${PROJECT_NAME}
  ${PROJECT_NAME}_test_utils
  planning_context_loader_lin
  planning_context_loader_ptp
  planning_context_loader_circ
)
add_ros_test(launch/unittest_planning_context.test.py ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

# GetTipFrames Unit Test
ament_add_gmock(unittest_get_solver_tip_frame src/unittest_get_solver_tip_frame.cpp)
target_link_libraries(unittest_get_solver_tip_frame ${PROJECT_NAME})

install(TARGETS ${UNIT_TEST_SOURCEFILES}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY config DESTINATION share/${PROJECT_NAME})
install(DIRECTORY launch DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-galactic-pilz-industrial-motion-planner (2.3.4-1focal) focal; urgency=high

  * Add missing test dependencies (#1027 <https://github.com/ros-planning/moveit2/issues/1027>) (#1035 <https://github.com/ros-planning/moveit2/issues/1035>)
  * Add moveit_configs_utils package to simplify loading paramters (backport #591 <https://github.com/ros-planning/moveit2/issues/591>) (#1019 <https://github.com/ros-planning/moveit2/issues/1019>)
  * Contributors: AndyZe, Stephanie Eng, Henning Kayser, Tyler Weaver

 -- Christian Henkel <c.henkel@pilz.de>  Mon, 07 Feb 2022 07:00:00 -0000

ros-galactic-pilz-industrial-motion-planner (2.3.3-1focal) focal; urgency=high

  * Fix missing ament_cmake_gtest dependency (#981 <https://github.com/ros-planning/moveit2/issues/981>) (#987 <https://github.com/ros-planning/moveit2/issues/987>)
  * Remove some Maintainers from Pilz Planner (#971 <https://github.com/ros-planning/moveit2/issues/971>) (#974 <https://github.com/ros-planning/moveit2/issues/974>)
    (cherry picked from commit 79addb30a703f566f3d81b01dc4d34c0f8cce209)
    Co-authored-by: jschleicher <mailto:j.schleicher@pilz.de>
  * Fix usage of boost placeholder (#958 <https://github.com/ros-planning/moveit2/issues/958>) (#967 <https://github.com/ros-planning/moveit2/issues/967>)
    (cherry picked from commit 53f9affaeb10cd077f9e5444f884d1c9b3ef6871)
    Co-authored-by: Wolf Vollprecht <mailto:w.vollprecht@gmail.com>
  * Contributors: mergify[bot]

 -- Christian Henkel <c.henkel@pilz.de>  Thu, 20 Jan 2022 07:00:00 -0000

ros-galactic-pilz-industrial-motion-planner (2.3.2-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 29 Dec 2021 07:00:00 -0000

ros-galactic-pilz-industrial-motion-planner (2.3.1-1focal) focal; urgency=high

  * Convert to modern include guard #882 <https://github.com/ros-planning/moveit2/issues/882> (#891 <https://github.com/ros-planning/moveit2/issues/891>)
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Get rid of "std::endl" (#918 <https://github.com/ros-planning/moveit2/issues/918>)
  * changed post-increments in loops to preincrements (#888 <https://github.com/ros-planning/moveit2/issues/888>)
  * Consider simulated time (#883 <https://github.com/ros-planning/moveit2/issues/883>)
  * Use CallbackGroup for MoveGroupSequenceAction
  * PILZ: Build fixups, silence warnings, fix unit tests
  * PILZ: Migrate and Restructure test directory
  * PILZ: Migrate planner and testutils packages to ROS 2
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Consider attached bodies in Pilz planner #2773 <https://github.com/ros-planning/moveit/issues/2773> (#2824 <https://github.com/ros-planning/moveit/issues/2824>)
    - Remove convertToRobotTrajectory() and integrate its line of code into setSuccessResponse()
    - Pass the final start_state into setSuccessResponse()
  * Fix Pilz planner's collision detection (#2803 <https://github.com/ros-planning/moveit/issues/2803>)
    We need to pass the current PlanningScene down to the actual collision checking methods
  * Add planning_pipeline_id to MotionSequence service (#2755 <https://github.com/ros-planning/moveit/issues/2755>)
    * Add planning_pipeline_id to MotionSequence action and service
    * check for empty request
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Improve readability of comment
  * Contributors: David V. Lu!!, Felix von Drigalski, Gaël Écorchard, Henning Kayser, Parthasarathy Bana, Robert Haschke, Sebastian Jahr, Sencer Yazıcı, aa-tom, cambel, predystopic-dev, pvanlaar
  * [feature] Add Pilz industrial motion planner (#1893 <https://github.com/tylerjw/moveit/issues/1893>)
  * Contributors: Pilz GmbH and Co. KG, Christian Henkel, Immanuel Martini, Joachim Schleicher, rfeistenauer

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 23 Dec 2021 07:00:00 -0000

=== debian/control ===
Source: ros-galactic-pilz-industrial-motion-planner
Section: misc
Priority: optional
Maintainer: Christian Henkel <c.henkel@pilz.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-galactic-ament-cmake, ros-galactic-ament-cmake-gmock, ros-galactic-ament-cmake-gtest, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-eigen3-cmake-module, ros-galactic-geometry-msgs, ros-galactic-moveit-common, ros-galactic-moveit-core, ros-galactic-moveit-msgs, ros-galactic-moveit-resources-panda-moveit-config, ros-galactic-moveit-resources-prbt-moveit-config, ros-galactic-moveit-resources-prbt-pg70-support, ros-galactic-moveit-resources-prbt-support, ros-galactic-moveit-ros-move-group, ros-galactic-moveit-ros-planning, ros-galactic-moveit-ros-planning-interface, ros-galactic-orocos-kdl, ros-galactic-pilz-industrial-motion-planner-testutils, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-ros-testing, ros-galactic-tf2, ros-galactic-tf2-eigen, ros-galactic-tf2-eigen-kdl, ros-galactic-tf2-geometry-msgs, ros-galactic-tf2-kdl, ros-galactic-tf2-ros, ros-galactic-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-galactic-pilz-industrial-motion-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-eigen3-cmake-module, ros-galactic-geometry-msgs, ros-galactic-moveit-core, ros-galactic-moveit-msgs, ros-galactic-moveit-ros-move-group, ros-galactic-moveit-ros-planning, ros-galactic-moveit-ros-planning-interface, ros-galactic-orocos-kdl, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-tf2, ros-galactic-tf2-eigen, ros-galactic-tf2-eigen-kdl, ros-galactic-tf2-geometry-msgs, ros-galactic-tf2-kdl, ros-galactic-tf2-ros, ros-galactic-ros-workspace
Description: MoveIt plugin to generate industrial trajectories PTP, LIN, CIRC and sequences thereof.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-pilz-industrial-motion-planner//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
